#
# spec file for package python-axolotl-curve25519
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-axolotl-curve25519
Version:        0.1
Release:        lp150.1.9
Summary:        curve25519 Python wrapper with Ed25519 signatures
License:        GPL-3.0-only
Group:          Development/Languages/Python
Url:            https://github.com/tgalal/python-axolotl-curve25519
Source:         https://files.pythonhosted.org/packages/source/p/python-axolotl-curve25519/python-axolotl-curve25519-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/tgalal/python-axolotl-curve25519/master/LICENSE
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros

%python_subpackages

%description
This is a Python wrapper for the curve25519 library with Ed25519 signatures.

%prep
%setup -q -n python-axolotl-curve25519-%{version}
cp %SOURCE1 .

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%files %{python_files}
%license LICENSE
%{python_sitearch}/*

%changelog
* Thu Apr  5 2018 jengelh@inai.de
- Update descriptions.
* Wed Apr  4 2018 dev@stellardeath.org
- Initial package of version 0.1
